Bug 610894 - errors post 1.0 upgrade
Summary: errors post 1.0 upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Spacewalk
Classification: Community
Component: Server   
(Show other bugs)
Version: 1.0
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: space11
TreeView+ depends on / blocked
 
Reported: 2010-07-02 17:01 UTC by James Stroehmann
Modified: 2012-03-06 09:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 15:33:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Stroehmann 2010-07-02 17:01:48 UTC
Description of problem:
1) when we try to apply the management and monitoring entitlements to an activation key, it errors out :
a. Invalid add-on entitlement [label for="monitoring_entitled"monitoring_entitled/label] provided.No such entitlement exists.
b. Invalid add-on entitlement [label for="provisioning_entitled"provisioning_entitled/label] provided.No such entitlement exists.


2) We are seeing this error message in /var/log/rhn/rhn_server_xmlrpc.log
a. rhnServer/server_certificate.valid('Server id ID-1000010646 not found in database',)


Version-Release number of selected component (if applicable):
1.0

How reproducible:
always

Steps to Reproduce:
1. create a new activation key with monitoring or provisioning entitlements

  
Actual results:
receive these errors
Invalid add-on entitlement [label for="monitoring_entitled"monitoring_entitled/label] provided.No such entitlement exists.
Invalid add-on entitlement [label for="provisioning_entitled"provisioning_entitled/label] provided.No such entitlement exists.

Expected results:
for no error to appear

Additional info:

Comment 1 James Stroehmann 2010-07-06 15:33:10 UTC
this is resolved, got the fix from IRC ...

/etc/init.d/tomcat6 stop
mv /usr/share/tomcat6/work/Catalina/localhost/rhn/ /tmp/backup/
/etc/init.d/tomcat6 start


Note You need to log in before you can comment on or make changes to this bug.